[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Types' (#rtl)

# IStream.SetSize

Set the stream size

## Declaration

Source position: types.pp line 320

`function IStream.SetSize(`
`libNewSize: LargeUint`
`):HRESULT;`

## Description

SetSize sets the size of the stream to libNewSize bytes, if the stream allows it. On success, zero is returned.

## Errors

On error, a nonzero exit code is returned.